package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwBdRecordBatch;
import com.dhcc.finance.main.domain.CwBdRecordBatchExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwBdRecordBatchMapper {
    long countByExample(CwBdRecordBatchExample example);

    int deleteByExample(CwBdRecordBatchExample example);

    int deleteByPrimaryKey(String id);

    int insert(CwBdRecordBatch record);

    int insertSelective(CwBdRecordBatch record);

    List<CwBdRecordBatch> selectByExample(CwBdRecordBatchExample example);

    CwBdRecordBatch selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") CwBdRecordBatch record, @Param("example") CwBdRecordBatchExample example);

    int updateByExample(@Param("record") CwBdRecordBatch record, @Param("example") CwBdRecordBatchExample example);

    int updateByPrimaryKeySelective(CwBdRecordBatch record);

    int updateByPrimaryKey(CwBdRecordBatch record);
    /**
     * 功能描述  根据批次号更新是否记账
     * @param record
     * @return int
     * @author huangpeng
     * @date 2019年7月16日 上午9:40:56
     * 修改日志
     */
	int updateRecordBybatchNo(CwBdRecordBatch record);
	/**
	 * 功能描述    查询所有批次信息
	 * @return List<CwBdRecordBatch>
	 * @author huangpeng
	 * @param nameLike
	 * @param signType
	 * @param batchNo
	 * @param failReason
	 * @param xtzxmbh
	 * @date 2019年7月16日 上午9:43:21
	 * 修改日志
	 */
	List<CwBdRecordBatch> selectCwBdRecordBatchList(@Param("signType")String signType, @Param("batchNo")String batchNo, @Param("failReason")String failReason, @Param("tradeCode") String tradeCode, @Param("xtzxmbh") String xtzxmbh);
	/**
	 * 功能描述  查询批次号是否记账
	 *@param batchNo
	 *@param tradeCode
	 *@return Long
	 *@author huangpeng
	 *@date 2019年8月20日 下午1:42:31
	 *修改日志:
	 */
	List<CwBdRecordBatch> searchBatchIsExistOfCount(@Param("batchNo")String batchNo,@Param("tradeCode") String tradeCode);
	/**
	 * 功能描述  根据批次号查询批次信息
	 *@param batchNo
	 *@return List<CwBdRecordBatch>
	 *@author huangpeng
	 *@date 2019年10月24日 下午4:41:40
	 *修改日志:
	 */
	List<CwBdRecordBatch> searchCwBdRecordBatchByBatchNo(String batchNo);
}